//chemesis2.0
//cal1.g

float PI=3.14159
float somarad=12e-4
float somalen=24e-4
float areaout=2*PI*somarad*somalen
float volume=PI*somarad*somarad*somalen

create neutral cell
ce cell
/* create pools of molecules */
create rxnpool somaCa
setfield somaCa Cinit 0.1e-3 vol {volume} SAout {areaout} radius {somarad} units 1e-3
create rxnpool somaCabuf
setfield somaCabuf Cinit 0.003 vol {volume} SAout {areaout} radius {somarad} units 1e-3 
create conservepool somabuf
setfield somabuf Ctot 0.153 Cinit 0.153 volume {volume}

/* create reaction */
create reaction somacabufrxn
setfield somacabufrxn kf 1e2 kb 0.5

/* messages from substrates and product to reaction */
addmsg somaCa somacabufrxn SUBSTRATE Conc
addmsg somabuf somacabufrxn SUBSTRATE Conc
addmsg somaCabuf somacabufrxn PRODUCT Conc

/* messages from reaction to substrates and products */
addmsg somacabufrxn somaCa RXN2 kbprod kfsubs
addmsg somacabufrxn somaCabuf RXN2 kfsubs kbprod

/* conserve pool messages */
addmsg somaCabuf somabuf CONC Conc

include cal1graph.g

setclock 0 0.002
setclock 1 0.1

setfield somaCa Cinit 0.001
reset

step 1000

